Publishing · Queue
Returns schedules.
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the publishing resource group disabled get 403 resource_group_disabled. Authentication
Query parameters
| Name | Type | Notes |
|---|---|---|
profileIdrequired | string | |
queueId | string | |
all | string | One of true, false |
Example
curl -X GET "https://api.pozy.ai/v1/queue/slots?profileId=6a0b6573846efc28aaa9a3ff" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/queue/slots?profileId=6a0b6573846efc28aaa9a3ff", {
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.get(
"https://api.pozy.ai/v1/queue/slots",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
params={
"profileId": "6a0b6573846efc28aaa9a3ff",
},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
200 response
{
"exists": true,
"schedule": {
"_id": "635d87e261ae344ef27fd1df",
"profileId": "6a0b6573846efc28aaa9a3ff",
"name": "Acme",
"timezone": "America/New_York",
"slots": [
{
"dayOfWeek": 1,
"time": "2026-10-02T09:00:00.000Z"
}
],
"active": true,
"isDefault": true,
"createdAt": "2026-10-02T09:00:00.000Z",
"updatedAt": "2026-10-02T09:00:00.000Z"
},
"nextSlots": [
"2026-10-02T09:00:00.000Z"
]
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is scoped to other profiles or has this resource group disabled. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.